GDAL_POLYGONIZE(1)

NAME
gdal_polygonize - Produces a polygon feature layer from a raster.

SYNOPSIS

    gdal_polygonize [--help] [--help-general]
                       [-8] [-o <name>=<value>]... [-nomask]
                       [-mask <filename>] <raster_file> [-b <band>]
                       [-q] [-f <ogr_format>] [-lco <name>=<value>]...
                       [-overwrite] <out_file> [<layer>] [<fieldname>]

DESCRIPTION

This utility creates vector polygons for all connected regions of pixels in the raster sharing a common pixel value. Each polygon is created with an attribute indicating the pixel value of that polygon. A raster mask may also be provided to determine which pixels are eligible for processing.

The utility will create the output vector datasource if it does not already exist, otherwise it will try to append to an existing one.

The utility is based on the :GDALPolygonize() function which has additional details on the algorithm.

NOTE: gdal_polygonize is a Python utility, and is only available if GDAL Python bindings are available.

--help
    Show this help message and exit

--help-general
    Gives a brief usage message for the generic GDAL commandline options and exit.

-8  Use 8 connectedness. Default is 4 connectedness.

-nomask
    Do not use the default validity mask for the input band (such as nodata, or alpha masks).

-mask <filename>
    Use the first band of the specified file as a validity mask (zero is invalid, non-zero is valid). If not specified, the default validity mask for the input band (such as nodata, or alpha masks) will be used (unless -nomask is specified)

<raster_file>
    The source raster file from which polygons are derived.

-b <band>
    The band on <raster_file> to build the polygons from. The value can also be set to "mask", to indicate that the mask band of the first band must be used (or "mask,band_number" for the mask of a specified band)

-f <ogr_format>
    Select the output format. If not specified, the format is guessed from the extension. Use the short format name

-o <NAME>=<VALUE>
    Added in version 3.7.

    Polygonize option. See :GDALPolygonize() documentation.

-lco <NAME>=<VALUE>
    Added in version 3.7.

    Layer creation option (format specific)

-overwrite
    Added in version 3.8.

    Overwrite the output layer if it already exists.

<out_file>
    The destination vector file to which the polygons will be written.

<layer>
    The name of the layer created to hold the polygon features.

<fieldname>
    The name of the field to create (defaults to "DN").

-q  The script runs in quiet mode. The progress monitor is suppressed and routine messages are not displayed.

AUTHOR
Frank Warmerdam <warmerdam@pobox.com>

COPYRIGHT
1998-2025